Bullet Collision Detection & Physics Library: btDiscreteCollisionDetectorInterface Struct Reference

Bullet Collision Detection & Physics Library

Classes | Public Member Functions | List of all members
btDiscreteCollisionDetectorInterface Struct Referenceabstract

This interface is made to be used by an iterative approach to do TimeOfImpact calculations This interface allows to query for closest points and penetration depth between two (convex) objects the closest point is on the second object (B), and the normal points from the surface on B towards A. More...

`#include <btDiscreteCollisionDetectorInterface.h>`

Inheritance diagram for btDiscreteCollisionDetectorInterface:
[legend]

## Classes
struct | Result
struct | ClosestPointInput

## Public Member Functions
virtual | ~btDiscreteCollisionDetectorInterface ()
virtual void | getClosestPoints (const ClosestPointInput &input, Result &output, class btIDebugDraw *debugDraw, bool swapResults=false)=0

## Detailed Description

This interface is made to be used by an iterative approach to do TimeOfImpact calculations This interface allows to query for closest points and penetration depth between two (convex) objects the closest point is on the second object (B), and the normal points from the surface on B towards A.

distance is between closest points on B and closest point on A. So you can calculate closest point on A by taking closestPointInA = closestPointInB + m_distance * m_normalOnSurfaceB

Definition at line 27 of file btDiscreteCollisionDetectorInterface.h.

## Constructor & Destructor Documentation

## ◆ ~btDiscreteCollisionDetectorInterface()

virtual btDiscreteCollisionDetectorInterface::~btDiscreteCollisionDetectorInterface | ( |  | ) |
| inlinevirtual

Definition at line 51 of file btDiscreteCollisionDetectorInterface.h.

## Member Function Documentation

## ◆ getClosestPoints()

virtual void btDiscreteCollisionDetectorInterface::getClosestPoints | ( | const ClosestPointInput & | input,
|  | Result & | output,
|  | class btIDebugDraw * | debugDraw,
|  | bool | swapResults = false )
| pure virtual

Implemented in btBoxBoxDetector, btGjkPairDetector, and SphereTriangleDetector.

The documentation for this struct was generated from the following file:

- btDiscreteCollisionDetectorInterface.h